#!/usr/bin/env node

/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License.
*/
var path = require('path');
var create = require('./lib/create');
var args  = require('./lib/simpleargs').getArgs(process.argv);

if (args['--help'] || args._.length === 0) {
    console.log('Usage: ' + path.relative(process.cwd(), path.join(__dirname, 'create')) + ' <path_to_new_project> <package_name> <project_name> [<template_path>] [--shared]');
    console.log('    <path_to_new_project>: Path to your new Cordova amazon-fireos project');
    console.log('    <package_name>: Package name, following reverse-domain style convention');
    console.log('    <project_name>: Project name');
    console.log('    <template_path>: Path to a custom application template to use');
    console.log('    --shared will use the CordovaLib project directly instead of making a copy.');
    process.exit(1);
}

create.createProject(args._[0], args._[1], args._[2], args._[3], args['--shared']).done();